Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Question what benefits I have if i run my server in the new version 1.5dev ?

Comments in 'General Discussion' started by lucasvitegui, May 15, 2015.

  1. lucasvitegui
    Offline

    lucasvitegui Active Member

    Joined:
    Apr 18, 2015
    Posts:
    203
    Minecraft User:
    lucasviteguiBR
    (sorry for my immaturity with this subject)
    I have currently installed Pocketmine-soft 1.4.1dev-239. This is because players had problems trying to climb slabs. So I have this version in build 239, because in the latest version (242) has been disabled the function check movement of the players.You get it?

    *So, if I upgrade to 1.5 and API 1.12.0 , I'll lose touch with old plugins that already have?

    * What are the benefits of this new version?

    *If i upgrade, I will lose the function "Check players Movement" ?

    * Whats the recommended for me: PocketMine-MP 1.5dev Api 1.12.0.phar Or PocketMine-Soft 1.5 dev 243 API 1.12.0 ?

    Thank you for reading this far. Sorry immaturity on the subject and I Am Brazilian.xD
  2. Artide
    Offline

    Artide Active Member

    Joined:
    Apr 20, 2015
    Posts:
    214
    Minecraft User:
    Artide5
    1.5 has a lot of Improvement, like gamemode switch without crash and effects. But the same way it improved it has its small details, skins on 1.5 consume a bunch of CPU. In my opinion 1.4 is better because it runs much smoother, but as I said, 1.5 does have some nice stuff.
    HotFireyDeath and EvolSoft like this.
  3. lucasvitegui
    Offline

    lucasvitegui Active Member

    Joined:
    Apr 18, 2015
    Posts:
    203
    Minecraft User:
    lucasviteguiBR
    Do you know if it has bug fixes ? better rendering or something like that ? more features ?
    Thanks and try to answer the first, the second and the fourth question. Please
  4. Artide
    Offline

    Artide Active Member

    Joined:
    Apr 20, 2015
    Posts:
    214
    Minecraft User:
    Artide5
    1. Pocketmine 1.5 still supports most plugins.

    2. https://github.com/PocketMine/PocketMine-MP/issues/2536

    3. I don't think so.

    4. PocketMine-MP 1.5 Dev API 1.12.0
    PEMapModder and HotFireyDeath like this.
  5. lucasvitegui
    Offline

    lucasvitegui Active Member

    Joined:
    Apr 18, 2015
    Posts:
    203
    Minecraft User:
    lucasviteguiBR
    Does it has some connection with the 0.11.0 version of minecraft? Or is this a separate thing and has no connection with the pocketmine1.5?
  6. EvolSoft
    Offline

    EvolSoft Notable Member Plugin Developer

    Joined:
    Sep 10, 2014
    Posts:
    821
    Plugins:
    15
    Minecraft User:
    Flavius12
    It works only with 0.11.0! :)
    HotFireyDeath and lucasvitegui like this.
  7. lucasvitegui
    Offline

    lucasvitegui Active Member

    Joined:
    Apr 18, 2015
    Posts:
    203
    Minecraft User:
    lucasviteguiBR
    Thank you so much. So I still can not update. xD
  8. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,325
    Plugins:
    11
    Minecraft User:
    PEMapModder
    PocketMine cannot actively improve client rendering afaik.
  9. shoghicp
    Offline

    shoghicp Staff Member PocketMine Team

    Joined:
    Aug 22, 2013
    Posts:
    436
    Plugins:
    14
    Minecraft User:
    shoghicp
    Also remember that 1.5 is not even in beta state, so lots of things may be wonky or not working at all.

Share This Page

Advertisement